/*
* Copyright 2004-2010 mb_sx@hotmail.com
* All Rights Reserved.
*/
using System;
using System.Drawing;

namespace DeskNotes
{
	/// <summary>
	/// IPrintableNote defines method called for notes when
	/// thay are being printed.
	/// </summary>
	internal interface IPrintableNote
	{
		

		/// <summary>
		/// Returns string printed as header text before body is printed
		/// It can be alarm time or categories + archivation time 
		/// </summary>
		/// <returns>Text to be printed as header. New lines are expected for lines</returns>
		string HeaderText{ get; }

		/// <summary>
		/// True if header exists and will be printed.
		/// </summary>
		bool HasHeader { get; }

		/// <summary>
		/// Where header text should be aligned
		/// </summary>
		StringAlignment HeaderAlign{ get; }

		/// <summary>
		/// Font defined for this note or null
		/// </summary>
		Font GetOwnFont { get; }

		/// <summary>
		/// Text to be printed as notes body
		/// </summary>
		/// <returns></returns>
		string BodyText { get;}
	}
}
